# Uses of Class
com.ngrok.definitions.EndpointWebhookValidation

Packages that use EndpointWebhookValidation
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointWebhookValidation in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointWebhookValidation
  Modifier and Type
  Method
  Description
  `EndpointWebhookValidation`
  EndpointWebhookValidation.Builder.`build()`
  Constructs the `EndpointWebhookValidation` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointWebhookValidation
  Modifier and Type
  Method
  Description
  `Optional<EndpointWebhookValidation>`
  HttpsEdgeRoute.`getWebhookVerification()`
  webhook verification module configuration or `null`

- ## Uses of EndpointWebhookValidation in com.ngrok.services

  Methods in com.ngrok.services that return EndpointWebhookValidation
  Modifier and Type
  Method
  Description
  `EndpointWebhookValidation`
  EdgeRouteWebhookVerificationModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointWebhookValidation`
  EdgeRouteWebhookVerificationModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointWebhookValidation
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointWebhookValidation>`
  EdgeRouteWebhookVerificationModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointWebhookValidation>`
  EdgeRouteWebhookVerificationModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  Methods in com.ngrok.services with parameters of type EndpointWebhookValidation
  Modifier and Type
  Method
  Description
  `EdgeRouteWebhookVerificationModule.ReplaceCallBuilder`
  EdgeRouteWebhookVerificationModule.ReplaceCallBuilder.`module(EndpointWebhookValidation module)`
  Sets the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`webhookVerification(EndpointWebhookValidation webhookVerification)`
  webhook verification module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`webhookVerification(EndpointWebhookValidation webhookVerification)`
  webhook verification module configuration or `null`
  Method parameters in com.ngrok.services with type arguments of type EndpointWebhookValidation
  Modifier and Type
  Method
  Description
  `EdgeRouteWebhookVerificationModule.ReplaceCallBuilder`
  EdgeRouteWebhookVerificationModule.ReplaceCallBuilder.`module(Optional<EndpointWebhookValidation> module)`
  Sets (or unsets) the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`webhookVerification(Optional<EndpointWebhookValidation> webhookVerification)`
  webhook verification module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`webhookVerification(Optional<EndpointWebhookValidation> webhookVerification)`
  webhook verification module configuration or `null`